sysdecode_fcntl_arg(3)

NAME
sysdecode_fcntl_arg, sysdecode_fcntl_arg_p - output description of fcntl argument

LIBRARY
libsysdecode

SYNOPSIS
#include <sysdecode.h>
void
sysdecode_fcntl_arg(FILE *fp, int cmd, uintptr_t arg, int base);
bool
sysdecode_fcntl_arg_p(int cmd);

DESCRIPTION
The sysdecode_fcntl_arg() function outputs a text description of the optional arg argument to fcntl(2) to the stream fp. The type and format of arg are determined by cmd:
Command | arg Type | Output Format

F_SETFD | int |
“FD_CLOEXEC”, “FD_CLOFORK” or the value of arg in the indicated base (one of 8, 10, or 16).

F_SETFL | int |
File flags as output by sysdecode_fcntl_fileflags(3) with any unknown or remaining bits output in hexadecimal.

F_GETLK | struct flock * |
F_SETLK | struct flock * |
F_SETLKW | struct flock * |
The value of arg using the “%p” conversion specification.

Others | int |
The value of arg in the indicated base (one of 8, 10, or 16).

The sysdecode_fcntl_arg_p() function can be used to determine if a fcntl(2) command uses the optional third argument to fcntl(2). The function returns true if cmd accepts a third argument to fcntl(2) and false if it does not.

RETURN VALUES
The sysdecode_fcntl_arg_p function returns true if cmd accepts a third argument to fcntl(2) and false if it does not.

SEE ALSO
sysdecode(3), sysdecode_fcntl_cmd(3), sysdecode_fcntl_fileflags(3)